<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:382b53b9-8e79-438b-a87c-7ec0c0b30916,g:09d1008e-39fc-40ba-9b18-c833239eb0af-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember_label_en-US" xlink:label="lab_tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Fiscal Year-End Fair Value of Outstanding and Unvested Awards Granted in Fiscal Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember" xlink:href="tds-20230329.xsd#tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember" xlink:to="lab_tds_FiscalYearEndFairValueOfOutstandingAndUnvestedAwardsGrantedInFiscalYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember_label_en-US" xlink:label="lab_tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Vesting Date Fair Value of Awards Granted and Vested During Fiscal Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember" xlink:href="tds-20230329.xsd#tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember" xlink:to="lab_tds_VestingDateFairValueOfAwardsGrantedAndVestedDuringFiscalYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember_label_en-US" xlink:label="lab_tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Change in Fair Value of Outstanding and Unvested Awards Granted in Prior Fiscal Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember" xlink:href="tds-20230329.xsd#tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember" xlink:to="lab_tds_ChangeInFairValueOfOutstandingAndUnvestedAwardsGrantedInPriorFiscalYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember_label_en-US" xlink:label="lab_tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Grant Date Fair Value of Awards Granted in Fiscal Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember" xlink:href="tds-20230329.xsd#tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember" xlink:to="lab_tds_GrantDateFairValueOfAwardsGrantedInFiscalYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember_label_en-US" xlink:label="lab_tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Change in Fair Value of Awards Granted in Prior Fiscal Years that Vested During Fiscal Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember" xlink:href="tds-20230329.xsd#tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember" xlink:to="lab_tds_ChangeInFairValueOfAwardsGrantedInPriorFiscalYearsThatVestedDuringFiscalYearMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
